Package org.apache.sysds.runtime.compress.cocode

# Enum Class CoCoderFactory.PartitionerType

java.lang.Object
java.lang.Enum<CoCoderFactory.PartitionerType>
org.apache.sysds.runtime.compress.cocode.CoCoderFactory.PartitionerType

All Implemented Interfaces:
  `Serializable`, `Comparable<CoCoderFactory.PartitionerType>`, `Constable`

Enclosing interface:
  CoCoderFactory

public static enum CoCoderFactory.PartitionerType extends Enum<CoCoderFactory.PartitionerType>
The Valid coCoding techniques

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO`
`BIN_PACKING`
`GREEDY`
`PRIORITY_QUE`
`STATIC`

## Method Summary

Modifier and Type
Method
Description
`static CoCoderFactory.PartitionerType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CoCoderFactory.PartitionerType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BIN_PACKING

public static final CoCoderFactory.PartitionerType BIN_PACKING

### STATIC

public static final CoCoderFactory.PartitionerType STATIC

### PRIORITY_QUE

public static final CoCoderFactory.PartitionerType PRIORITY_QUE

### GREEDY

public static final CoCoderFactory.PartitionerType GREEDY

### AUTO

public static final CoCoderFactory.PartitionerType AUTO

## Method Details

### values

public static CoCoderFactory.PartitionerType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CoCoderFactory.PartitionerType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null